Bug 224099

Summary: [WPE] Enable Cog's GTK4 backend
Product: WebKit Reporter: Philippe Normand <pnormand>
Component: WPE WebKitAssignee: Philippe Normand <pnormand>
Status: RESOLVED FIXED    
Severity: Normal CC: annulen, aperez, bugs-noreply, ews-watchlist, glenn, gyuyoung.kim, jbedard, ryuan.choi, sergio
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Philippe Normand 2021-04-02 02:26:51 PDT
.
Comment 1 Philippe Normand 2021-04-02 02:31:10 PDT
Created attachment 424999 [details]
Patch
Comment 2 Adrian Perez 2021-04-05 05:38:06 PDT
Comment on attachment 424999 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=424999&action=review

> Tools/Scripts/webkitpy/port/wpe.py:155
> +                args = ['-P', 'gtk4'] + args

If somebody passes “--platform=foo”, then the final command line will end
up with “--platform=foo -P gtk4”. It would be good to add a check here for
that. For example, from the top of my mind (that is, untested):

  has_platform_arg = any((a == "-P" or a.startswith("--platform=") for a in args))
  if not has_platform_arg:
      args.insert(0, "--platform=gtk4")
Comment 3 Adrian Perez 2021-04-05 05:39:12 PDT
FWIW, other than the missing check for “--platform=”, I agree that
it's nicer to have Cog use GTK4 by default while Cog does not have
support for detecting what to use :)
Comment 4 Philippe Normand 2021-04-06 07:07:58 PDT
Created attachment 425273 [details]
Patch
Comment 5 EWS 2021-04-06 07:58:41 PDT
Committed r275517: <https://commits.webkit.org/r275517>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 425273 [details].